Fetch an image or PDF returned by an enrichment
curl --request GET \
--url https://api.sixtyfour.ai/v1/media/{token} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sixtyfour.ai/v1/media/{token}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sixtyfour.ai/v1/media/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/media/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/media/{token}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sixtyfour.ai/v1/media/{token}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/media/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body"<string>"{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Authentication required: provide Bearer token or X-API-Key header",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
],
"code": "invalid_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Rate limit exceeded: 600 requests per minute. Retry after 1 second.",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Could not verify the API key right now. Retry shortly.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}Media
Fetch an image or PDF returned by an enrichment
Serve one image or PDF referenced by an enrichment result.
Unguessable, and kept until the investigation that saved the image, or its organization, is permanently deleted; embed or link directly. Organizations with customer-managed encryption must send their API key.
GET
/
v1
/
media
/
{token}
Fetch an image or PDF returned by an enrichment
curl --request GET \
--url https://api.sixtyfour.ai/v1/media/{token} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sixtyfour.ai/v1/media/{token}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sixtyfour.ai/v1/media/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/v1/media/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/v1/media/{token}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sixtyfour.ai/v1/media/{token}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/v1/media/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body"<string>"{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Authentication required: provide Bearer token or X-API-Key header",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "This organization no longer has access to Sixtyfour. Contact your representative at Sixtyfour.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
],
"code": "invalid_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Rate limit exceeded: 600 requests per minute. Retry after 1 second.",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Could not verify the API key right now. Retry shortly.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}Was this page helpful?